Make unambiguous command prefixes work as command aliases

RESOLVED FIXED in 1.2

Status

Chat Core
General
--
enhancement
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: florian, Assigned: clokep)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment, 1 obsolete attachment)

(Reporter)

Description

4 years ago
*** Original post on bio 1439 at 2012-05-18 09:37:00 UTC ***

hg does this and it's quite nice. And it would allow us to get rid of the stupid /j command on IRC!

Not sure if this is a core bug in imCommands.js or a UI thing for  conversation.xml; filed it in Core for now.
(Assignee)

Comment 1

4 years ago
Created attachment 8353524 [details] [diff] [review]
Patch for core

*** Original post on bio 1439 as attmnt 1763 at 2012-08-01 00:16:00 UTC ***

I decided to implement this as part of the core commands service. I tested it a bit and it seems to work fine. :)
Attachment #8353524 - Flags: review?(bugzilla)
(Assignee)

Updated

4 years ago
Assignee: nobody → clokep
Status: NEW → ASSIGNED
(Assignee)

Updated

4 years ago
Severity: normal → enhancement
OS: Other → All
Hardware: x86 → All

Comment 2

4 years ago
Comment on attachment 8353524 [details] [diff] [review]
Patch for core

*** Original change on bio 1439 attmnt 1763 at 2012-08-01 00:41:16 UTC ***

>+    // The commands doesn't exist, check if the given command is a partial match
>+    // to a single other command.
Typo here (commands -> command).

Nice use of recursion ;) Looks good!
Attachment #8353524 - Flags: review?(bugzilla) → review+
(Assignee)

Comment 3

4 years ago
Created attachment 8353525 [details] [diff] [review]
Patch for core v1.0.1

*** Original post on bio 1439 as attmnt 1764 at 2012-08-01 00:46:00 UTC ***

Carrying aleth's review forward.
Attachment #8353525 - Flags: review+
(Assignee)

Comment 4

4 years ago
Comment on attachment 8353524 [details] [diff] [review]
Patch for core

*** Original change on bio 1439 attmnt 1763 at 2012-08-01 00:46:52 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353524 - Attachment is obsolete: true
(Assignee)

Updated

4 years ago
Whiteboard: [checkin-needed]
(Assignee)

Comment 5

4 years ago
*** Original post on bio 1439 at 2012-08-02 00:37:50 UTC ***

Committed as http://hg.instantbird.org/instantbird/rev/9e3a83b7f2bb
Status: ASSIGNED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.2
(Reporter)

Updated

4 years ago
Depends on: 955360
You need to log in before you can comment on or make changes to this bug.